Package com.xebialabs.xlrelease.domain.events

# Class ReleasePausingAction

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleasePausingAction

All Implemented Interfaces:
  `InterceptableAction`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleasePausingAction extends Object implements InterceptableAction, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleasePausingAction(String releaseId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReleasePausingAction`
  `apply(String releaseId)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleasePausingAction`
  `copy(String releaseId)`
  `String`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `releaseId()`
  `String`
  `toString()`
  `static scala.Option<String>`
  `unapply(ReleasePausingAction x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### ReleasePausingAction

    public ReleasePausingAction(String releaseId)

- ## Method Details

  - ### apply

    public static ReleasePausingAction apply(String releaseId)

  - ### unapply

    public static scala.Option<String> unapply(ReleasePausingAction x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### releaseId

    public String releaseId()

  - ### copy

    public ReleasePausingAction copy(String releaseId)

  - ### copy$default$1

    public String copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`